<template>
  <div ref="console" class="console">
    <!--<input type="text" v-model='addNote' @keyup.enter="addLog(this.addNote)">-->
    <span v-if="false"> 
      <!--// set false to use array-->
      {{ logs }}
    </span>
    <span v-else>
      <span v-for="(log, index) in logs">{{ index }} {{ log }} <br></span>
    </span>
  </div>
</template>

<script>
export default {
  computed: {
    logs () {
      let list = this.$store.state.console.messages
      return list
    }
  },
  updated () {
    this.$refs.console.scrollTop = this.$refs.console.scrollHeight
    // return console.log('updated console scroll to bottom', this.$refs.console.scrollHeight)
  },
  methods: {
    addLog (newLog) {
      (!newLog) ? (newLog = this.addNote) : ''
      this.addNote = ''
      if (typeof window !== 'undefined') {
        window.scrollTo(0, document.body.scrollHeight)
      }
      return this.$store.dispatch('console/ADD_LOG', newLog)
    }
  }
}
</script>

<style>
.console {
  background: black;
  color: greenyellow;
  display: block;
  min-height: 100px;
  font-family: monospace;
  font-size: 12px;
  max-height: 50%;
  overflow: scroll;
  opacity: .7;
  padding: 0 10px;
  padding-bottom: 50px;
  position: fixed;
  /*pointer-events: none;*/
  top: 150px;
  max-width: 50%;
  z-index: 9999;
}
</style>
